org.eclipse.oomph.ui

## Class ToggleCommandHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.oomph.ui.ToggleCommandHandler

- All Implemented Interfaces:
    IHandler, IHandler2

      public class ToggleCommandHandler
      extends AbstractHandler

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToggleCommandHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `execute(ExecutionEvent event)`
    `static boolean` | `getToggleState(String commandID)`
    `static void` | `setToggleState(String commandID, boolean toggleState)`

    - ### Methods inherited from class org.eclipse.core.commands.AbstractHandler

      `addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToggleCommandHandler

          public ToggleCommandHandler()

  - ### Method Detail

    - #### execute

          public Object execute(ExecutionEvent event)
                         throws ExecutionException

      Throws:
        `ExecutionException`

    - #### getToggleState

          public static boolean getToggleState(String commandID)

    - #### setToggleState

          public static void setToggleState(String commandID,
                            boolean toggleState)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html